<?php

/**
 * The Blogging About Page
 * @package The Blogging
 *
*/

if( !class_exists('The_Blogging__About_page') ):

	class The_Blogging__About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'the_blogging__backend_menu'),999);

		}

		// Add Backend Menu
        function the_blogging__backend_menu(){

            add_theme_page(esc_html__( 'The Blogging Options','the-blogging' ), esc_html__( 'The Blogging Options','the-blogging' ), 'activate_plugins', 'the-blogging-about', array($this, 'the_blogging__main_page'));

        }

        // Settings Form
        function the_blogging__main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new The_Blogging__About_page();

endif;